Resolution: Fixed

Description

When | go to bulk edit a bunch of issues, the start and due date fields, rather than displaying "(No Change)" like all the other fields
are blank instead. Submitting the bulk edit form with blank dates does not clear the start and due dates for my selected positions,
they just maintain whatever dates were currently entered. This means | have no mechanism for clearing all the start and due dates
for multiple positions without editing them one by one.

| think the bulk edit form should be changed so that blank dates means the dates get cleared and "(No Change)" means the dates
get preserved. "(No Change)" should be the default value.

This is occurring on revision 2035.

Related issues:

Related to Redmine - Feature #6111: Issue bulk edit should provide "NONE" opt... Closed 2010-08-11
Has duplicate Redmine - Feature #10363: Allow to set blank value for date/tex... Closed
Has duplicate Redmine - Feature #13089: Bulk-Delete(!) of start-date and due-... Closed

Associated revisions

Revision 12192 - 2013-09-30 21:27 - Jean-Philippe Lang

Allows user to clear dates and text fields when bulk editing issues (#2199).

Revision 12193 - 2013-10-01 00:17 - Jean-Philippe Lang
Test broken by r12192 (#2199).

History

#1 - 2008-11-16 09:17 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2011-11-24 20:30 - Mischa The Evil
- Subject changed from Bulk Edit Cannot Clear Start and End Dates to Bulk Edit Cannot Clear Start and Due Dates

#3 - 2012-05-03 11:45 - Maher Gamal
+1
| would be glad to see this landing in a minor release soon.

#4 - 2012-10-28 18:41 - Daniel Felix

Those datepicker just need some "unset" button.
Maybe those changefield need always a checkbox like "unset" aside every item.

#5 - 2013-01-15 10:49 - Daniel Felix

- Target version set to Candidate for next major release

Currently there is still no way to unset date fields in the bulk_edit. There are many discussions on this requests. It would be good to include such a
feature.

| set the target version to the next major release, as it's duplicate (#10363) was planned for this.
https://www.redmine.org/issues/10363

#6 - 2013-05-17 13:14 - Ralf S.

+1 from our side

This is not a rare usecase for us, e.g. if changing/clearing common date fields of an issue and all sub issues.

#7 - 2013-09-30 21:27 - Jean-Philippe Lang

- Subject changed from Bulk Edit Cannot Clear Start and Due Dates to Ability to clear dates and text fields when bulk editing issues
- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.4.0

- Resolution set to Fixed

Feature added in r12192 for dates and custom text fields.
